Bug 130925 - New port: x11-toolkits/soqt4 - Qt4 toolkit library for Coin
Summary: New port: x11-toolkits/soqt4 - Qt4 toolkit library for Coin
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-24 02:50 UTC by Cristiano Rolim Pereira
Modified: 2009-03-17 20:10 UTC (History)
0 users

See Also:


Attachments
file.shar (3.61 KB, text/plain)
2009-01-24 02:50 UTC, Cristiano Rolim Pereira
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cristiano Rolim Pereira 2009-01-24 02:50:00 UTC
SoQt is a Qt GUI component toolkit library for Coin.  It is also compatible with SGI and TGS Open Inventor, and the API is based on the API of the InventorXt GUI component toolkit.

Qt4 is used in this version.

Attached, there is a shell archive of the soqt4 port.


The port x11-toolkits/soqt will need to be updated to include CONFLICTS with SoQt4.

I am sending a followup with the update for x11-toolkits/soqt.

Fix: Patch attached with submission follows:
Comment 1 Cristiano Rolim Pereira 2009-01-24 03:05:36 UTC
This is the update for x11-toolkits/soqt:

diff -ruN Makefile.orig Makefile
--- Makefile.orig	2009-01-22 21:51:39.000000000 -0200
+++ Makefile	2009-01-22 22:00:09.000000000 -0200
@@ -18,6 +18,8 @@
 
 LIB_DEPENDS=	Coin.60:${PORTSDIR}/graphics/Coin
 
+CONFLICTS=      SoQt4-[1-2].*
+
 USE_AUTOTOOLS=	libtool:15
 USE_QT_VER=	3
 USE_GMAKE=	yes
Comment 2 Max Brazhnikov freebsd_committer 2009-03-04 21:51:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 3 Max Brazhnikov freebsd_committer 2009-03-10 21:36:51 UTC
Hi Cristiano,

Is there reason for new port? Shouldn't x11-toolkits/soqt be updated to use 
qt4? The only port depending on soqt (cad/freecad) is broken currently, new 
version requires qt4 anyway.

Cheers,
Max
Comment 4 Cristiano Rolim Pereira 2009-03-11 02:40:13 UTC
Good point.

I am working in a update for freecad too. This will be a pre-requisite...
Here is the diff for x11-toolkits/soqt using QT4 :

diff -ruN ../soqt.old/Makefile ./Makefile
--- ../soqt.old/Makefile	2009-03-10 23:19:57.000000000 -0300
+++ ./Makefile	2009-03-10 23:29:28.000000000 -0300
@@ -7,22 +7,28 @@

 PORTNAME=	SoQt
 PORTVERSION=	1.4.1
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	x11-toolkits
 MASTER_SITES=	http://ftp.coin3d.org/coin/src/all/ \
 		ftp://ftp.coin3d.org/pub/coin/src/all/
 DIST_SUBDIR=	KDE

-MAINTAINER=	ports@FreeBSD.org
-COMMENT=	Qt toolkit library for Coin
+MAINTAINER=	cristianorolim@hotmail.com
+COMMENT=	Qt4 toolkit library for Coin

 LIB_DEPENDS=	Coin.60:${PORTSDIR}/graphics/Coin

 USE_AUTOTOOLS=	libtool:15
-USE_QT_VER=	3
+USE_QT_VER=	4
 USE_GMAKE=	yes
+CPPFLAGS+=	-I${LOCALBASE}/include -I${LOCALBASE}/${QT_INCDIR_REL} -I${LOCALBASE}/${QT_INCDIR_REL}/Qt
+LDFLAGS+=	-L${LOCALBASE}/lib -L${LOCALBASE}/${QT_LIBDIR_REL}
+
 GNU_CONFIGURE=	yes
-CONFIGURE_ENV=	QTDIR="${QT_PREFIX}"
+CONFIGURE_ENV=	QTDIR="${QT_PREFIX}" \
+		CPPFLAGS="${CPPFLAGS}" \
+		LDFLAGS="${LDFLAGS}"
+
 CONFIGURE_ARGS=	--with-pthread=yes --with-coin=${LOCALBASE}
 USE_LDCONFIG=	yes

@@ -31,10 +37,4 @@
 post-install:
 	@${TOUCH} ${PREFIX}/include/Inventor/Qt/engines/.keep_me

-.include <bsd.port.pre.mk>
-
-.if ${ARCH} == i386
-BROKEN=		does not build
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff -ruN ../soqt.old/pkg-descr ./pkg-descr
--- ../soqt.old/pkg-descr	2009-03-10 23:19:57.000000000 -0300
+++ ./pkg-descr	2009-03-10 23:23:28.000000000 -0300
@@ -1,7 +1,7 @@
-From the README:
-
 SoQt is a Qt GUI component toolkit library for Coin.  It is also compatible
 with SGI and TGS Open Inventor, and the API is based on the API of the
 InventorXt GUI component toolkit.

+Qt4 is used in this version.
+
 WWW: http://www.coin3d.org/



___
Cristiano Rolim Pereira
Comment 5 dfilter service freebsd_committer 2009-03-17 20:00:20 UTC
makc        2009-03-17 20:00:05 UTC

  FreeBSD ports repository

  Modified files:
    x11-toolkits/soqt    Makefile pkg-descr 
  Added files:
    x11-toolkits/soqt/files 
                            patch-src-Inventor-Qt-SoQtComponent.cpp 
  Log:
  Switch to use Qt4.
  Pass maintainership to submitter.
  
  PR:             based on ports/130925
  Submitted by:   Cristiano Rolim Pereira <cristianorolim at hotmail.com>
  
  Revision  Changes    Path
  1.23      +15 -13    ports/x11-toolkits/soqt/Makefile
  1.1       +11 -0     ports/x11-toolkits/soqt/files/patch-src-Inventor-Qt-SoQtComponent.cpp (new)
  1.2       +2 -2      ports/x11-toolkits/soqt/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Max Brazhnikov freebsd_committer 2009-03-17 20:02:34 UTC
State Changed
From-To: open->closed

Committed. Thanks!